hello, i need some help on how to check a selection set if it contain "wipeout" entity?
if it does (draworder "back") and proceed to the next string of command.
if not then just proceed likewise with some alert msg.
please have a look at my simple routine
;this routine will let the user select multiple object
;& PASTEBLOCK the selection - 112011
;-
(defun c:pblk (/ bp opt selx)
;-
(princ "Select basepoint: ")
(setq bp (getpoint))
(setq opt "_b")
;-
(setq selx (ssget))
;-
[color="blue"];check the selection set "selx" if there is any "WIPEOUT" entity selected
;if "wipeout" is/ are PRESENT (command:"_.draworder" "wipeout" opt)
;(alert "wipeout found -> sent to back")
;proceed to next
;if wipeout is/ are NOT found
;(alert "wipeout NOT found")
;proceed to next[/color]
;-
(command "_.copybase" bp selx "")
(command "_.pasteblock" bp)
(command "_.erase" "previous" "")
(princ)
);end defun
;;;
(the BLUE is where i hope i can put in the necessary codes)
im using autocad 2009
thanks in advance